# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/eckert4/Eckert4.cpp File Reference

`#include <math.h>`
`#include "Eckert4.h"`
`#include "MapProjection3Parameters.h"`
`#include "MapProjectionCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`

Go to the source code of this file.

## Functions

double | calculateNum (double theta, double sinTheta, double cosTheta)

## Variables

const double | PI = 3.14159265358979323e0
const double | PI_OVER_2 = ( PI / 2.0)
const double | TWO_PI = (2.0 * PI)
const double | two_PLUS_PI_OVER_2 = (2.0 + PI / 2.0)

## Function Documentation

double calculateNum | ( | double | theta,
|  | double | sinTheta,
|  | double | cosTheta |
| ) |  |  |

Definition at line 114 of file Eckert4.cpp.

## Variable Documentation

const double PI = 3.14159265358979323e0

Definition at line 108 of file Eckert4.cpp.

const double PI_OVER_2 = ( PI / 2.0)

Definition at line 109 of file Eckert4.cpp.

const double TWO_PI = (2.0 * PI)

Definition at line 110 of file Eckert4.cpp.

const double two_PLUS_PI_OVER_2 = (2.0 + PI / 2.0)

Definition at line 111 of file Eckert4.cpp.